/src/ics-mr1/frameworks/base/libs/rs/scriptc/rs_allocation.rsh File Reference

- Overview
- Globals
- Structs

Functions
/src/ics-mr1/frameworks/base/libs/rs/scriptc/rs_allocation.rsh File Reference

## Functions
rs_allocation | rsGetAllocation (const void *)
uint32_t | rsAllocationGetDimX (rs_allocation)
uint32_t | rsAllocationGetDimY (rs_allocation)
uint32_t | rsAllocationGetDimZ (rs_allocation)
uint32_t | rsAllocationGetDimLOD (rs_allocation)
uint32_t | rsAllocationGetDimFaces (rs_allocation)
const void * | rsGetElementAt (rs_allocation, uint32_t x)
const void * | rsGetElementAt (rs_allocation, uint32_t x, uint32_t y)
const void * | rsGetElementAt (rs_allocation, uint32_t x, uint32_t y, uint32_t z)

## Detailed Description

Allocation routines.

Definition in file rs_allocation.rsh.

## Function Documentation

uint32_t rsAllocationGetDimFaces | ( | rs_allocation |  | ) |

Query an allocation for the presence of more than one face.

Returns:
  uint32_t Returns 1 if more than one face is present, 0 otherwise.

uint32_t rsAllocationGetDimLOD | ( | rs_allocation |  | ) |

Query an allocation for the presence of more than one LOD.

Returns:
  uint32_t Returns 1 if more than one LOD is present, 0 otherwise.

uint32_t rsAllocationGetDimX | ( | rs_allocation |  | ) |

Query the dimension of an allocation.

Returns:
  uint32_t The X dimension of the allocation.

uint32_t rsAllocationGetDimY | ( | rs_allocation |  | ) |

Query the dimension of an allocation.

Returns:
  uint32_t The Y dimension of the allocation.

uint32_t rsAllocationGetDimZ | ( | rs_allocation |  | ) |

Query the dimension of an allocation.

Returns:
  uint32_t The Z dimension of the allocation.

rs_allocation rsGetAllocation | ( | const void * |  | ) |

Returns the Allocation for a given pointer. The pointer should point within a valid allocation. The results are undefined if the pointer is not from a valid allocation.

const void* rsGetElementAt | ( | rs_allocation | ,
|  | uint32_t | x
| ) |  |

Extract a single element from an allocation.

const void* rsGetElementAt | ( | rs_allocation | ,
|  | uint32_t | x,
|  | uint32_t | y
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

const void* rsGetElementAt | ( | rs_allocation | ,
|  | uint32_t | x,
|  | uint32_t | y,
|  | uint32_t | z
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.